Developers
Get started
Make your first request with sample data, then get an API key when you're ready to pull live family events.
1. Try the API
Make your first request. No API key required.
GET https://api.findkobi.com/v1/demo/events
GET https://api.findkobi.com/v1/demo/events?city=oakland&age_min=2&age_max=4&week=current&limit=10
curl -G "https://api.findkobi.com/v1/demo/events?city=oakland&age_min=2&age_max=4&week=current&limit=10" \ -H "Accept: application/json"
2. Get your API key
Sign up to get an API key and start using live event data.
Your key starts with fk_live_ and is shown once. Store it somewhere secure.
3. Pull live events
Add your API key and start querying current family events.
Build your request
GET https://api.findkobi.com/v1/events?city=oakland&age_min=2&age_max=4&week=current&limit=10&api_key=fk_live_%E2%80%A6
const url = "https://api.findkobi.com/v1/events?city=oakland&age_min=2&age_max=4&week=current&limit=10&api_key=fk_live_%E2%80%A6";
const res = await fetch(url, {
headers: {
"Accept": "application/json"
},
});
if (!res.ok) throw new Error(await res.text());
const data = await res.json();
console.log(data.events.map((e) => e.title));Don't need the API?
Add family events to your website, newsletter, or calendar with FindKobi's publishing tools.
More ways to use FindKobi
Website Widgets
Add family events directly to your website.
Newsletter Blocks
Create event sections for your newsletter.
Calendar Feeds
Give your audience a calendar they can follow.
Events API
Build family event data into your own product.